SatisfiedReferenceDTO
Date: 2016-06-25

org.osgi.service.component.runtime.dto

## Class SatisfiedReferenceDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.component.runtime.dto.SatisfiedReferenceDTO

-     public class SatisfiedReferenceDTO
      extends org.osgi.dto.DTO

  A representation of a satisfied reference.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.osgi.framework.dto.ServiceReferenceDTO[]` | `boundServices` The bound services.
    `java.lang.String` | `name` The name of the declared reference.
    `java.lang.String` | `target` The target property of the satisfied reference.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SatisfiedReferenceDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the declared reference.

      This is declared in the `name` attribute of the `reference` element of the component description.

      See Also:
        `ReferenceDTO.name`

    - #### target

          public java.lang.String target

      The target property of the satisfied reference.

      This is the value of the `component property` whose name is the concatenation of the `declared reference name` and ".target". This must be `null` if no target property is set for the reference.

    - #### boundServices

          public org.osgi.framework.dto.ServiceReferenceDTO[] boundServices

      The bound services.

      Each `ServiceReferenceDTO` in the array represents a service bound to the satisfied reference. The array must be empty if there are no bound services.

  - ### Constructor Detail

    - #### SatisfiedReferenceDTO

          public SatisfiedReferenceDTO()